# Universidade Estadual de Santa Cruz
# Disciplina: CET076 - Metodologia e Estatstica Experimental
# Docente: Jos C. Faria
# Discente: Nathiele Santos Arujo
# Script Delineamento Inteiramento Casualizado - DIC

#. Pacotes necessrios
#- gmodels
#- TukeyC
#- ScottKnott

#. Dados
tra <- gl(5,
          4,
          labels=LETTERS[1:5])

r   <- rep(1:4,
           5)

pro <- c(58, 49, 51, 56, 
         50, 48, 60, 55, 
         66, 61, 54, 61,
         59, 47, 44, 49,
         45, 33, 34, 48)

dad <- data.frame(tra,
                  r,
                  pro)

rm(tra,
   r,
   pro)

#. Verificaes para ANOVA
str(dad)
is.factor(dad$tra)
is.numeric(dad$pro)

  
library(gplots)

plotmeans(pro ~ tra,
          main='Tratamentos',
          data=dad,
          mean.labels=TRUE,
          digits=2,
          connect=FALSE,
          ylab='',
          xlab='',
          pch=' ')

#. Box plot
boxplot(pro ~ tra,  
     data=dad)

#. ANOVA
av <- aov(pro ~ tra,
          data=dad)

summary(av)


#. TCMM
#.. TukeyC
library(TukeyC)
cv(av)

tk <- TukeyC(av)
summary(tk)

plot(tk,
     dispersion= 'mm',
     xlab='Tratamentos',
     ylab='Peso',
     col= 'blue',
     col.lab= 'red')

#.. ScottKnott

library(ScottKnott)

sk <- SK(av)

summary(sk)

plot(sk,
     dispersion= "mm")


#. Contrastes Ortogonais
                                           #T1 #T2 #T3 #T4 #T5
cmat <- rbind('T1 vs (T2, T3, T4, T5)' = c( 4, -1, -1, -1, -1),
              '(T2, T3) vs (T4, T5)'   = c( 0,  1,  1, -1, -1),
              'T2 vs T3'               = c( 0,  1, -1,  0,  0),
              'T4 vs T5'               = c( 0,  0,  0,  1, -1))
                                  


library(gmodels)
av1 <- aov(pro ~ tra,
           data=dad,
           contrasts=list(tra=make.contrasts(cmat)))  

effects(av1)

# Decomposio da SQTra em contrastes ortogonais
summary(av1,
        split=list(tra=list('T1 vs (T2, T3, T4, T5)' = 1,
                            '(T2, T3) vs (T4, T5)'   = 2,
                            'T2 vs T3'               = 3,
                            'T4 vs T5'               = 4 )))
